> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/platform-concepts.md).

# Platform concepts

Across Appfarm Create there are a number of important **platform concepts**, primarily for advanced data manipulation and formatting.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Conditions</strong></td><td>Compare values and add dynamic behavior to an app.</td><td></td><td><a href="/files/I7JVJxQdZzhHi1ESUQxP">/files/I7JVJxQdZzhHi1ESUQxP</a></td><td><a href="/pages/-MiR7mnOHVmwML9UlPir">/pages/-MiR7mnOHVmwML9UlPir</a></td></tr><tr><td><strong>Data bindings</strong></td><td>Connect UI components and action nodes to data.</td><td></td><td><a href="/files/mtpVDXPHzJEXPStuvuZa">/files/mtpVDXPHzJEXPStuvuZa</a></td><td><a href="/pages/-MiR7spoCXs5BAzGkvRX">/pages/-MiR7spoCXs5BAzGkvRX</a></td></tr><tr><td><strong>Date and time</strong></td><td>Manipulate, format, and localize datetime values.</td><td></td><td><a href="/files/Oz1VYqORZgXh9e5G88pN">/files/Oz1VYqORZgXh9e5G88pN</a></td><td><a href="/pages/lpBoRypHh7coiufWAxHq">/pages/lpBoRypHh7coiufWAxHq</a></td></tr><tr><td><strong>Event handlers</strong></td><td>Trigger actions based on automatic and user-initiated events.</td><td></td><td><a href="/files/0UN0f1hJ7Zv2TJmLsMCV">/files/0UN0f1hJ7Zv2TJmLsMCV</a></td><td><a href="/pages/8WIqt8nM7MEqsFCBsuHE">/pages/8WIqt8nM7MEqsFCBsuHE</a></td></tr><tr><td><strong>Filters</strong></td><td>Create a subset of data to display or process.</td><td></td><td><a href="/files/5boGgAv4oQtiN5elsofd">/files/5boGgAv4oQtiN5elsofd</a></td><td><a href="/pages/-MiR9GGOxcZeghNQPbzV">/pages/-MiR9GGOxcZeghNQPbzV</a></td></tr><tr><td><strong>Find references</strong></td><td>Quickly locate dependencies in your solution.</td><td></td><td><a href="/files/HuloELLlIReotPBaJkRr">/files/HuloELLlIReotPBaJkRr</a></td><td><a href="/pages/1j6PYPAyzygG7FBCsFg5">/pages/1j6PYPAyzygG7FBCsFg5</a></td></tr><tr><td><strong>Functions</strong></td><td>Run advanced conditions and calculations using JavaScript.</td><td></td><td><a href="/files/RGSGXKDHSinYiMA6VyEV">/files/RGSGXKDHSinYiMA6VyEV</a></td><td><a href="/pages/-MiR9LFagp6o4TIv4EnD">/pages/-MiR9LFagp6o4TIv4EnD</a></td></tr><tr><td><strong>Markdown</strong></td><td>Format plain text for display in the UI.</td><td></td><td><a href="/files/0o1bpiBWHJ6YMGDfxjdC">/files/0o1bpiBWHJ6YMGDfxjdC</a></td><td><a href="/pages/-MiR9XgbuxB8DSac1CmW">/pages/-MiR9XgbuxB8DSac1CmW</a></td></tr><tr><td><strong>Objects</strong></td><td>A data structure used to store and reference data.</td><td></td><td><a href="/files/3pcdBFhXUEY80Ya2LImk">/files/3pcdBFhXUEY80Ya2LImk</a></td><td><a href="/pages/-MiR92uc7YpwXZWPxMI1">/pages/-MiR92uc7YpwXZWPxMI1</a></td></tr><tr><td><strong>Operators</strong></td><td>Compare values when building conditions and filters.</td><td></td><td><a href="/files/kL10nGDqATwaf1R7VwZN">/files/kL10nGDqATwaf1R7VwZN</a></td><td><a href="/pages/PTIPQCS5Wsjf2XJZDUf9">/pages/PTIPQCS5Wsjf2XJZDUf9</a></td></tr><tr><td><strong>Value processor</strong></td><td>Perform simple operations to manipulate and format data.</td><td></td><td><a href="/files/fyR0J2bxOjMhw6U07uAu">/files/fyR0J2bxOjMhw6U07uAu</a></td><td><a href="/pages/08zl66WCatWbFGAXohQp">/pages/08zl66WCatWbFGAXohQp</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appfarm.io/reference/platform-concepts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
